Name:           acpilight
Version:        1.2.4
Release:        %mkrel 1
Summary:        "acpilight" is a backward-compatibile replacement for xbacklight
Group:          System/X11
Url:            https://gitlab.com/wavexx/acpilight
Source:         https://gitlab.com/wavexx/acpilight/%{name}-%{version}.tar.xz
Patch0:			acpilight-make-postinst.patch
License:        GPLv3+
Obsoletes:		xbacklight
Provides: 		xbacklight

%description
! Preparation: you as user must be member of group "video" !
"acpilight" is a backward-compatibile replacement for xbacklight that uses the
ACPI interface to set the display brightness. On modern laptops "acpilight" can
control both display and keyboard backlight uniformly on either X11, the
console or Wayland.
On some modern laptops "XRandR" might lack the ability to set the display
brightness. This capability was moved/unified to the kernel's ACPI interface,
via /sys/class/backlight/.
"acpilight" provides a drop-in replacement for the xbacklight command that
uses the ACPI interface instead of "XRandR", allowing old scripts to run. As a
result, xbacklight can subsequently be used also from the console and
Wayland (X11 is not used at all).
When paired with the ddcci-backlight kernel module, the backlight of most
professional external monitors can be controlled as well.

Normally, users are prohibited to alter files in the sys filesystem. It's
advisable (and recommended) to setup an "udev" rule to allow users in the
"video" group to set the display brightness.
To do so, place a file in /etc/udev/rules.d/90-backlight.rules containing:

SUBSYSTEM=="backlight", ACTION=="add", \
  RUN+="/bin/chgrp video /sys/class/backlight/%k/brightness", \
  RUN+="/bin/chmod g+w /sys/class/backlight/%k/brightness"
to setup the relevant permissions at boot time. These rules are very
conservative: only the display brightness can be controlled, and nothing else.
Do not set suid permissions on xbacklight! Similarly, running
xbacklight under sudo is pointless (there's simply no reason to).
Keyboard backlight control is also available on certain laptop models via the
"leds" subsystem. The following laptop models are known to have a controllable
keyboard backlight:

Lenovo ThinkPad: -ctrl tpacpi::kbd_backlight
Apple MacBook Pro: -ctrl smc::kbd_backlight
Dell Latitude/XPS: -ctrl dell::kbd_backlight
Asus N-Series Notebooks: -ctrl asus::kbd_backlight

The following rules allow users in the video group to set the keyboard
backlight as well:

SUBSYSTEM=="leds", ACTION=="add", KERNEL=="*::kbd_backlight", \
  RUN+="/bin/chgrp video /sys/class/leds/%k/brightness", \
  RUN+="/bin/chmod g+w /sys/class/leds/%k/brightness"
Please report if other laptops have working interfaces to control the keyboard
backlight.

"acpilight" is distributed under GPLv3+ (see COPYING) WITHOUT ANY WARRANTY.
Copyright(c) 2016-2018 by wave++ "Yuri D'Elia" <wavexx@thregr.org>.

If you have an external monitor with which supports the DDC/CI protocol,
backlight control can be enabled by installing the appropriate drivers and 
loading the ddcci-backlight module at boot time. 
On PCLinuxOS, this is done by installing the ddcci-dkms package.
For external monitors use dkms-ddcci

%prep
%setup -q

%apply_patches

%build

%install
rm -rf %buildroot
%make_install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
udevadm trigger -s backlight -c add

%files
%{_bindir}/xbacklight
%defattr(-,root,man)
%{_mandir}/man1/xbacklight.1.bz2
%{_sysconfdir}/udev/rules.d/90-backlight.rules


%changelog
* Mon Jan 23 2023 onkelho <oh.quait at gmail.com> - 1.2.4-1pclos2023
- new version released 

* Fri Jan 25 2019 onkelho <oh.quait@gmail.com> 1.1-1pclos2019
- initial build
